USERMOD(8)

NAZWA
usermod - zmiana danych konta użytkownika

SKŁADNIA

usermod [opcje] LOGIN

OPIS

Polecenie usermod zmienia systemowe pliki kont, odzwierciedlając zmiany podane w wierszu poleceń.

OPCJE

Polecenie usermod posiada następujące opcje:

-a, --all
    Add the user to the supplementary group(s). Use only with the -G option.

-c, --commentKOMENTARZ
    Nowa wartość pola komentarza dla danego użytkownika w pliku haseł. Zwykle jest zmieniana przy pomocy polecenia chfn(1).

-d, --homeKAT_DOMOWY
    The user's new login directory.

    If the -m option is given, the contents of the current home directory will be moved to the new home directory, which is created if it does not already exist.

-e, --expiredateDATA_WAŻN
    Data, od której konto danego użytkownika zostanie wyłączone. Data podawana jest w formacie MM/DD/RR.

-f, --inactiveNIEAKTYWNE
    The number of days after a password expires until the account is permanently disabled.

    A value of 0 disables the account as soon as the password has expired, and a value of -1 disables the feature.

-g, --gidGRUPA
    The group name or number of the user's new initial login group. The group must exist.

-G, --groupsGRUPA1[,GRUPA2,...[,GRUPAN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option.

    If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via the -a option, which appends the user to the current supplementary group list.

-l, --loginNOWY_LOGIN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed manually to reflect the new login name.

-L, --lock
    Zablokuj hasło użytkownika. Opcja ta powoduje wstawienie ’!’ na początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p or -U.

    Note: if you wish to lock the account (not only access with a password), you should also set the EXPIRE_DATE to 1.

-m, --move-home
    Move the content of the user's home directory to the new location.

    This option is only valid in combination with the -d (or --home) option.

-o, --non-unique
    When used with the -u option, this option allows to change the user ID to a non-unique value.

-p, --passwordHASŁO
    The encrypted password, as returned by crypt(3).

    Note: This option is not recommended because the password (or encrypted password) will be visible by users listing the processes.

    You should make sure the password respects the system's password policy.

-s, --shellSHELL
    Nazwa nowej powłoki (shell) użytkownika. Ustawienie tego pola na puste powoduje, że system wybierze domyślną powłokę logowania.

-u, --uidUID
    The new numerical value of the user's ID.

    This value must be unique, unless the -o option is used. The value must be non-negative. Values between 0 and 999 are typically reserved for system accounts.

    The user's mailbox, and any files which the user owns and which are located in the user's home directory will have the file user ID changed automatically.

    The ownership of files outside of the user's home directory must be fixed manually.

-U, --unlock
    Odblokowuje hasło użytkownika. Opcja ta powoduje usuniecie ’!’ z początku zakodowanego hasła. Opcji tej nie można używać z opcjami -p lub -L.

    Note: if you wish to unlock the account (not only access with a password), you should also set the EXPIRE_DATE (for example to 99999, or to the EXPIRE value from /etc/default/useradd).

-Z, --selinux-user SEUSER
    The SELinux user for the user's login. The default is to leave this field the blank, which causes the system to select the default SELinux user.

OSTRZEŻENIA

You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID, the user's name, or the user's home directory is being changed. usermod checks this on Linux, but only check if the user is logged in according to utmp on other architectures.

You must change the owner of any crontab files or at jobs manually.

You must make any changes involving NIS on the NIS server.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite). You should not use this variable unless you really need it.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

ZOBACZ TAKŻE

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).